org.apache.datasketches.pig.hll

## Class UnionSketchAlgebraicIntermediate

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>
  - - org.apache.datasketches.pig.hll.UnionSketchAlgebraicIntermediate

    public class UnionSketchAlgebraicIntermediate
    extends org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`UnionSketchAlgebraicIntermediate()` Default constructor of the intermediate pass of an Algebraic function.
`UnionSketchAlgebraicIntermediate(String lgK)` Constructor for the intermediate pass of an Algebraic function.
`UnionSketchAlgebraicIntermediate(String lgK, String tgtHllType)` Constructor for the intermediate pass of an Algebraic function.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.pig.data.Tuple` `exec(org.apache.pig.data.Tuple inputTuple)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnionSketchAlgebraicIntermediate

    public UnionSketchAlgebraicIntermediate()

Default constructor of the intermediate pass of an Algebraic function. Assumes default lgK and target HLL type.

#### UnionSketchAlgebraicIntermediate

    public UnionSketchAlgebraicIntermediate(String lgK)

Constructor for the intermediate pass of an Algebraic function. Pig will call this and pass the same constructor arguments as the base UDF. Assumes default HLL target type.

Parameters:
  `lgK` - in a form of a String

#### UnionSketchAlgebraicIntermediate

    public UnionSketchAlgebraicIntermediate(String lgK,
                                            String tgtHllType)

Constructor for the intermediate pass of an Algebraic function. Pig will call this and pass the same constructor arguments as the base UDF.

Parameters:
  `lgK` - parameter controlling the sketch size and accuracy
  `tgtHllType` - HLL type of the resulting sketch

### Method Detail

#### exec

    public org.apache.pig.data.Tuple exec(org.apache.pig.data.Tuple inputTuple)
                                   throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>`
Throws:
  `IOException`